#ifndef INPUTGATHERCLIENT_H
#define INPUTGATHERCLIENT_H

#include <QObject>

#include <QLocalSocket>
#include "event.h"

#define INPUT_GATHER_SERVER_NAME "InputGatherServer"

class InputGatherClient : public QObject
{
    Q_OBJECT
public:
    InputGatherClient(QObject *parent = nullptr);
    ~InputGatherClient();

    void connectServer(const QString &serverName);

private slots:
    void onReceiveMessgae();
    void printfSwipeEvent(const SwipeGestureEvent &e);
    void printfPinchEvent(const PinchGestureEvent &e);

private:
    void init();
    void initConnect();

    QLocalSocket *m_clientSocket;
};

#endif // INPUTGATHERCLIENT_H
